Simply 6 и qgis (не стартует питон)

Модератор: Skull

PVOzerski
Сообщения: 297
ОС: OpenSUSE, ALT Linux

Simply 6 и qgis

Сообщение PVOzerski » 09.12.2011 23:58

Попытался поставить из реп на Simply 6 GIS-программу qgis. Поставить-то поставил... Ну, то, что там оказалась не самая последняя версия 1.6.0, пережить можно (хотя неудобно, поскольку на работе стоит на Сусе 1.7.2). Но куда хуже вот что. При запуске отказываются работать python-плагины. Выскакивающее окошко выдает вот такое (судя по результатам гугления, известный и давно пофиксенный баг в других дистрах):

Не удалось загрузить PyQGIS.
Поддержка Python будет выключена.


Traceback (most recent call last):
File "", line 1, in
RuntimeError: the PyQt4.QtCore module is version -1 but the qgis.core module requires version 0


Версия Python:
2.6.6 (r266:84292, Mar 29 2011, 02:41:32)
[GCC 4.5.1 20101130 (ALT Linux 4.5.1-alt8)]

Версия QGIS:
1.6.0-Copiapo 'Copiapo', exported

Путь поиска Python:
['/usr/share/qgis/python', '/home/pasha/.qgis/python', '/home/pasha/.qgis/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python26.zip', '/usr/lib/python2.6', '/usr/lib/python2.6/plat-linux2', '/usr/lib/python2.6/lib-tk', '/usr/lib/python2.6/lib-old', '/usr/lib/python2.6/lib-dynload', '/usr/lib/python2.6/site-packages', '/usr/lib/python2.6/site-packages/gtk-2.0']
Спасибо сказали:

Аватара пользователя
Skull
Модератор
Сообщения: 2089
ОС: ALT Linux

Re: Simply 6 и qgis

Сообщение Skull » 12.12.2011 12:38

Завёл ошибку на https://bugs.altlinux.org/26698
Спасибо за обнаруженную проблему.
Skull
Спасибо сказали: